#include "aplistbox.h"
#include <qpainter.h>
#include <qpen.h>
#include <qfont.h>
#include <stdio.h>
#include <qlabel.h>

ApListBox::ApListBox(QWidget *parent, const char *name, WFlags f)
	: QListBox(parent, name, f)
{
	label = new QLabel(this);
	label->setFont(QFont("lcfont", 16));
	label->setAlignment(Qt::AlignVCenter | Qt::AlignHCenter);
	label->setBackgroundColor(Qt::white);
}

void ApListBox::insertStringList(const QStringList &arg, int index)
{
	label->hide();
	QListBox::insertStringList(arg, index);
}

void ApListBox::insertStrList(const QStrList *arg, int index)
{
	label->hide();
	QListBox::insertStrList(arg, index);
}

void ApListBox::insertStrList(const QStrList &arg, int index)
{
	label->hide();
	QListBox::insertStrList(arg, index);
}

void ApListBox::insertStrList(const char **chars, int numStrings, int index)
{
	label->hide();
	QListBox::insertStrList(chars, numStrings, index);
}

void ApListBox::insertItem(const QListBoxItem *arg, int index)
{
	label->hide();
	QListBox::insertItem(arg, index);
}

void ApListBox::insertItem(const QListBoxItem *arg, const QListBoxItem *after)
{
	label->hide();
	QListBox::insertItem(arg, after);
}

void ApListBox::insertItem(const QString &text, int index)
{
	label->hide();
	QListBox::insertItem(text, index);
}

void ApListBox::insertItem(const QPixmap &pixmap, int index)
{
	label->hide();
	QListBox::insertItem(pixmap, index);
}

void ApListBox::insertItem(const QPixmap &pixmap, const QString &text, int index)
{
	label->hide();
	QListBox::insertItem(pixmap, text, index);
}

void ApListBox::clear()
{
	label->show();
	QListBox::clear();
}

void ApListBox::resizeEvent(QResizeEvent *e)
{
	QListBox::resizeEvent(e);
	label->setGeometry(10,10,e->size().width()-20,e->size().height()-20);
	if(count())
		label->hide();
	else
		label->show();
}

void ApListBox::setText(const QString &str)
{
	label->setText(str);
}
