/*
  mainwindow.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of WifiConnect.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __MAINWINDOW_H__
#define __MAINWINDOW_H__

#include <qwidget.h>

class ScanList;
class QComboBox;
class ApListBox;
class QBoxLayout;
class QPushButton;

class MainWindow : public QWidget
{
	Q_OBJECT
  public:
	MainWindow( QWidget *parent =0, const char *name = 0, WFlags fl = 0);
	~MainWindow();

  protected:
	void updateComboBox();

	void resizeEvent(QResizeEvent *e);


  private:
	ScanList *scan;

	QComboBox *device_combo;
	ApListBox *ap_list;
	QBoxLayout *hbox;
	QBoxLayout *rvbox;
	QWidget *dummy;

	QPushButton *scan_button;
	QPushButton *connect_button;
	QPushButton *settings_button;

  public slots:
	void changeDevice(const QString &devname);
	void clickScan();
	void clickConnect();
	void clickSettings();
  signals:
	void quit();
};

#endif // __MAINWINDOW_H__
